package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 删除指定条件的学生家长
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class ParentServiceRemoveStudentParentConditionRequest extends OpenApiRequest<ParentServiceRemoveStudentParentConditionParam, ParentServiceRemoveStudentParentConditionResult> {

    public ParentServiceRemoveStudentParentConditionRequest(ParentServiceRemoveStudentParentConditionParam param) {
        this();
        setBizModel(param);
    }

    public ParentServiceRemoveStudentParentConditionRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/parent-service/remove-student-parent-condition");
        setHttpMethod("POST");
    }

    public Class<ParentServiceRemoveStudentParentConditionResult> getResponseClass() {
        return ParentServiceRemoveStudentParentConditionResult.class;
    }

    public Class<ParentServiceRemoveStudentParentConditionParam> getDomainClass() {
        return ParentServiceRemoveStudentParentConditionParam.class;
    }
}

